package com.mvc.model;

import java.math.BigDecimal;
import java.util.Date;

//拷机报告明细表
public class TChkrptDetailModel {

    private Integer id;

    private String detailId;

    private String chkrptId;

    private String checkId;

    private String checkDetailId;

    private String deviceSn;

    private String checkPos;

    private BigDecimal revIntegRate;

    private BigDecimal recogAccuracy;

    private BigDecimal finalAccuracy;

    private BigDecimal rsrpQualRate;

    private BigDecimal vtQualRate;

    private String systemQualFlag;

    private String manualQualFlag;

    private Date resolveTime;

    private String resolveMan;

    private String finalQualFlag;

    private String issueCertifFlag;

    private String certifId;

    private String issueMan;

    private Date issueTime;

    private BigDecimal insideRsrpQualRate;

    private Date switchAntennaTime;

    private BigDecimal insideRevIntegRate;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDetailId() {
        return detailId;
    }

    public void setDetailId(String detailId) {
        this.detailId = detailId;
    }

    public String getChkrptId() {
        return chkrptId;
    }

    public void setChkrptId(String chkrptId) {
        this.chkrptId = chkrptId;
    }

    public String getCheckId() {
        return checkId;
    }

    public void setCheckId(String checkId) {
        this.checkId = checkId;
    }

    public String getCheckDetailId() {
        return checkDetailId;
    }

    public void setCheckDetailId(String checkDetailId) {
        this.checkDetailId = checkDetailId;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    public String getCheckPos() {
        return checkPos;
    }

    public void setCheckPos(String checkPos) {
        this.checkPos = checkPos;
    }

    public BigDecimal getRevIntegRate() {
        return revIntegRate;
    }

    public void setRevIntegRate(BigDecimal revIntegRate) {
        this.revIntegRate = revIntegRate;
    }

    public BigDecimal getRecogAccuracy() {
        return recogAccuracy;
    }

    public void setRecogAccuracy(BigDecimal recogAccuracy) {
        this.recogAccuracy = recogAccuracy;
    }

    public BigDecimal getFinalAccuracy() {
        return finalAccuracy;
    }

    public void setFinalAccuracy(BigDecimal finalAccuracy) {
        this.finalAccuracy = finalAccuracy;
    }

    public BigDecimal getRsrpQualRate() {
        return rsrpQualRate;
    }

    public void setRsrpQualRate(BigDecimal rsrpQualRate) {
        this.rsrpQualRate = rsrpQualRate;
    }

    public BigDecimal getVtQualRate() {
        return vtQualRate;
    }

    public void setVtQualRate(BigDecimal vtQualRate) {
        this.vtQualRate = vtQualRate;
    }

    public String getSystemQualFlag() {
        return systemQualFlag;
    }

    public void setSystemQualFlag(String systemQualFlag) {
        this.systemQualFlag = systemQualFlag;
    }

    public String getManualQualFlag() {
        return manualQualFlag;
    }

    public void setManualQualFlag(String manualQualFlag) {
        this.manualQualFlag = manualQualFlag;
    }

    public Date getResolveTime() {
        return resolveTime;
    }

    public void setResolveTime(Date resolveTime) {
        this.resolveTime = resolveTime;
    }

    public String getResolveMan() {
        return resolveMan;
    }

    public void setResolveMan(String resolveMan) {
        this.resolveMan = resolveMan;
    }

    public String getFinalQualFlag() {
        return finalQualFlag;
    }

    public void setFinalQualFlag(String finalQualFlag) {
        this.finalQualFlag = finalQualFlag;
    }

    public String getIssueCertifFlag() {
        return issueCertifFlag;
    }

    public void setIssueCertifFlag(String issueCertifFlag) {
        this.issueCertifFlag = issueCertifFlag;
    }

    public String getCertifId() {
        return certifId;
    }

    public void setCertifId(String certifId) {
        this.certifId = certifId;
    }

    public String getIssueMan() {
        return issueMan;
    }

    public void setIssueMan(String issueMan) {
        this.issueMan = issueMan;
    }

    public Date getIssueTime() {
        return issueTime;
    }

    public void setIssueTime(Date issueTime) {
        this.issueTime = issueTime;
    }

    public BigDecimal getInsideRsrpQualRate() {
        return insideRsrpQualRate;
    }

    public void setInsideRsrpQualRate(BigDecimal insideRsrpQualRate) {
        this.insideRsrpQualRate = insideRsrpQualRate;
    }

    public Date getSwitchAntennaTime() {
        return switchAntennaTime;
    }

    public void setSwitchAntennaTime(Date switchAntennaTime) {
        this.switchAntennaTime = switchAntennaTime;
    }

    public BigDecimal getInsideRevIntegRate() {
        return insideRevIntegRate;
    }

    public void setInsideRevIntegRate(BigDecimal insideRevIntegRate) {
        this.insideRevIntegRate = insideRevIntegRate;
    }
}
